Bug 763900 - (GLUSTER-2168) Xen DomU crashes on "gluster peer status"
Xen DomU crashes on "gluster peer status"
Status: CLOSED WORKSFORME
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
3.1.1
All Linux
low Severity low
: ---
: ---
Assigned To: Vijay Bellur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-30 21:35 EST by Maxim Ivanov
Modified: 2011-05-30 05:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTNR
Mount Type: ---
Documentation: DNR
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amar Tumballi 2010-11-30 18:40:12 EST
Try this:


> 1. install gluser

1.5 - start 'glusterd' (service glusterd start)

> 2. gluster peer status

See if this helps.
Comment 1 Joe Julian 2010-11-30 19:02:09 EST
If you're getting a kernel crash from a userland utility, that's a kernel bug.
Comment 2 Maxim Ivanov 2010-11-30 21:35:36 EST
I am running glusterfs 3.1.1 on Debian Squeeze inside Xen DomU. On clean setup do:

1. install gluser
2. gluster peer status

vm will crash immediately
Comment 3 Maxim Ivanov 2010-12-01 05:43:45 EST
Sorry, I forgot to mention that I had started glusterd before I tried "gluster peer status"

"gluster probe <host>" work fine but even if I am able to create volume "gluster peer status" prints 1 peer and then crashes VM

VM restarted immediately, I and I cant find any kernel panic log messages
Comment 4 Anand Avati 2010-12-01 06:20:47 EST
(In reply to comment #3)
> Sorry, I forgot to mention that I had started glusterd before I tried "gluster
> peer status"
> 
> "gluster probe <host>" work fine but even if I am able to create volume
> "gluster peer status" prints 1 peer and then crashes VM
> 
> VM restarted immediately, I and I cant find any kernel panic log messages

Is this behavior reliably reproducible?

Avati
Comment 5 Maxim Ivanov 2010-12-01 07:24:59 EST
Yes, every time I do it it crashes VM
Comment 6 Vijay Bellur 2010-12-01 21:59:50 EST
(In reply to comment #5)
> Yes, every time I do it it crashes VM

Can you please post the glusterd logs?
Comment 7 Vijay Bellur 2011-05-30 02:29:53 EDT
Resolved as it is no longer reproducible.

Note You need to log in before you can comment on or make changes to this bug.